extends Control
class_name SelectPieceScreen

@onready var scene_manager: Node = $"../SceneManager"

@onready var start_button: TitleButton = $StartButton
@onready var rook_button: TitleButton = $HBoxContainer/Rook
@onready var knight_button: TitleButton = $HBoxContainer/Knight
@onready var bishop_button: TitleButton = $HBoxContainer/Bishop

var selected_piece = null

func _ready() -> void:
	# Temp images
	start_button.set_image("res://assets/ui/title_screen/play_button.png")
	rook_button.set_image("res://assets/Resized Chess Piece Assets/White_rook.png")
	knight_button.set_image("res://assets/Resized Chess Piece Assets/White_knight.png")
	bishop_button.set_image("res://assets/Resized Chess Piece Assets/White_Bishop.png")
	
	# prevent player from starting the game without a chosen piece
	start_button.disabled = true
	
	var button_group = ButtonGroup.new()
	rook_button.button_group = button_group
	knight_button.button_group = button_group
	bishop_button.button_group = button_group
	
func _on_piece_selected(piece: String) -> void:
	selected_piece = piece
	start_button.disabled = false
	
func _on_start_pressed() -> void:
	if selected_piece:
		RunData.add_piece(selected_piece)
		RunData.start_run()

func _on_rook_toggled(toggled_on: bool) -> void:
	if toggled_on:
		_on_piece_selected("rook")


func _on_knight_toggled(toggled_on: bool) -> void:
	if toggled_on:
		_on_piece_selected("knight")


func _on_bishop_toggled(toggled_on: bool) -> void:
	if toggled_on:
		_on_piece_selected("bishop")
